<?php

// Public root URL
$public_root_url = "http://127.0.0.1/eesyphp";

// Application root data directory
$data_dir = $root_dir_path."/data";

// Temporary files root directory
$tmp_root_dir = "$data_dir/tmp";

// Temporary uploading files directory
$upload_tmp_dir = "$tmp_root_dir/uploading";

// Main pagetitle
$main_pagetitle = "Eesyphp";

// Theme CSS file
$included_css_files = array();

// Log configuration

// Logs directory path
$logs_dir_path = "$data_dir/logs";

// Log file path
if (php_sapi_name() == "cli")
  $log_file = "$logs_dir_path/cli.log";
else
  $log_file = "$logs_dir_path/app.log";

// Log level (TRACE / DEBUG / INFO / WARNING / ERROR / FATAL)
$log_level = 'INFO';

// Debug Ajax request/response
$debug_ajax = false;

// Smarty class path
$smarty_path = 'smarty3/Smarty.class.php';
$smarty_templates_dir = "$root_dir_path/templates";
$smarty_templates_c_dir = "$tmp_root_dir/templates_c";

// Default locale (see lang directory for available languages list)
$default_locale = 'en_US.UTF8';

// Session
$session_timeout = 1800;        // Session timeout dur to inactivity (in seconds)
$session_max_duration = 43200;  // Session max duration (in seconds, default : 12h)

/**
 * Database configuration
 **/

// Sqlite
$db_dsn="sqlite:$root_dir_path/data/db.sqlite3";
$db_user=null;
$db_pwd=null;
$db_options=array();

// Date/Datetime format in database (strptime format)
$db_date_format = '%s';
$db_datetime_format = '%s';

/*
// Postgresql
$db_dsn="pgsql:host=localhost;port=5432;dbname=items";
$db_user="items";
$db_pwd="items";
$db_options=array();

// Date/Datetime format in database (strptime format)
$db_date_format = '%Y-%m-%d';                // Exemple : 2018-10-12
$db_datetime_format = '%Y-%m-%d %H:%M:%S';   // Exemple : 2018-10-12 18:06:59
*/

/*
// MariaDB / MySQL
$db_dsn="mysql:host=localhost;dbname=items";
$db_user="items";
$db_pwd="items";
$db_options=array();

// Date/Datetime format in database (strptime format)
$db_date_format = '%Y-%m-%d';               // Exemple : 2018-10-12
$db_datetime_format = '%Y-%m-%d %H:%M:%S';  // Exemple : 2018-10-12 18:06:59
*/

/*
 * Config Mail
 */

// PHP PEAR Mail and Mail_Mine paths
$php_mail_path = 'Mail.php';
$php_mail_mime_path = 'Mail/mime.php';

/*
 * Sending method :
 *  - mail : use PHP mail function
 *  - sendmail : use sendmail system command
 *  - smtp : use an SMTP server (PHP PEAR Net_SMTP required)
 */
$mail_send_method = 'smtp';

/*
 * Sending parameters
 * See : http://pear.php.net/manual/en/package.mail.mail.factory.php
 */
$mail_send_params = NULL;

// Headers add to all e-mails sent
$mail_headers = array();

// Email sender address (for all emails sent by the application)
$mail_sender = "noreply@example.org";

// Catch all e-mails sent to a configured e-mail address
$mail_catch_all = false;

// Load local configuration file is present
if (is_file("$root_dir_path/includes/config.local.php")) {
  require "$root_dir_path/includes/config.local.php";
}
